from .mri import get_mri

from ._brainweb import (
    get_brainweb1_seg,
    get_brainweb1,
    get_brainweb20,
    get_brainweb20_multiple,
)
from ._brainweb import STD_RES, BIG_RES

__all__ = [
    "get_mri",
    "get_brainweb1",
    "get_brainweb1_seg",
    "get_brainweb20",
    "get_brainweb20_multiple",
    "STD_RES",
    "BIG_RES",
]


try:
    # -- Distribution mode --
    # import from _version.py generated by setuptools_scm during release
    from ._version import version as __version__
except ImportError:  # pragma: no cover
    # -- Source mode --
    # use setuptools_scm to get the current version from src using git
    from os import path as _path

    from setuptools_scm import get_version as _gv

    __version__ = _gv(_path.join(_path.dirname(__file__), _path.pardir))
